Bug 14129 - Exit code of ctdb nodestatus should not be influenced by deleted nodes
Exit code of ctdb nodestatus should not be influenced by deleted nodes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.9.11
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-17 00:30 UTC by Martin Schwenke
Modified: 2019-09-21 23:45 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.11, 4.10 and 4.9 (1.11 KB, patch)
2019-09-17 13:18 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2019-09-17 00:30:49 UTC
"ctdb nodestatus" returns non-zero for a node that is deleted.  This means that "ctdb nodestatus all" will never be 0 if there is a deleted node in the cluster.  Deleted nodes should be ignored.
Comment 1 Martin Schwenke 2019-09-17 13:18:31 UTC
Created attachment 15471 [details]
Patch for 4.11, 4.10 and 4.9

Patch cherry-picks cleanly into v4-11-test, v4-10-test, v4-9-test.

Not a security fix, so might not make it into 4.9 now that 4.11 is out.  The issue has existed for years, so no worries either way.  :-)
Comment 2 Amitay Isaacs 2019-09-19 03:23:02 UTC
Hi Karolin,

I guess we missed the deadline before 4.11 release.

Anyway, this is ready for v4-11, v4-10 and v4-9.  It's strictly not a security fix for 4.9 (now that 4.11 is released), but definitely worth adding.

Thanks.
Comment 3 Karolin Seeger 2019-09-20 09:50:50 UTC
Pushed to autobuild-v4-{11,10,9}-test.
Comment 4 Karolin Seeger 2019-09-21 23:45:57 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to all branches.
Closing out bug report.

Thanks!